Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IContainerDescriptor

    public interface IContainerDescriptor

Describes a model element container using an element matcher and containing references.

Method Summary
`org.eclipse.emf.ecore.EReference[]` `getContainmentFeatures()` Gets the containment references.
`IElementMatcher` `getMatcher()` Gets the matcher for the container.

Method Detail

### getMatcher

    IElementMatcher getMatcher()

  Gets the matcher for the container. May be `null`.

  This method may cause the plugin that defines the matcher class to be loaded.

  Returns:
    the matcher

### getContainmentFeatures

    org.eclipse.emf.ecore.EReference[] getContainmentFeatures()

  Gets the containment references. May be `null`.

  Returns:
    the references

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.